from datetime import datetime

import arrow
import babel.dates


def format_date(date, locale, date_format='short'):
    if isinstance(date, str):
        try:
            date = datetime.strptime(date, '%Y-%m-%d')
        except ValueError:
            return date

    return babel.dates.format_date(date=date, format=date_format, locale=locale)


def format_datetime(date_time, locale, timezone, date_format='short', naive=True):
    if isinstance(date_time, str):
        try:
            date_time = arrow.get(date_time)
        except arrow.parser.ParserError:
            return date_time

    date_time = babel.dates.format_datetime(datetime=date_time, format=date_format, tzinfo=timezone, locale=locale)
    if date_format in ['short', 'medium'] and not naive:
        offset = babel.dates.format_datetime(format='ZZZ', tzinfo=timezone, locale=locale)
        date_time = date_time + ' ' + offset
    return date_time
