from parsys_utilities.celery_tasks import post_json


class Notifier(object):
    def __init__(self, request, send_notifications=True):
        self.request = request
        self.send_notifications = send_notifications

    def notify(self, message, user_id=None, profile=None, right=None, level='info'):
        if not self.send_notifications:
            return

        client_id = self.request.registry.settings['rta.client_id']
        secret = self.request.registry.settings['rta.secret']
        notifications_url = self.request.route_url('rta', path='api/notifications/')

        sender_tenant = self.request.user['main_tenant'] if self.request.user else None
        json = {'message': message, 'level': level, 'sender_tenant': sender_tenant}
        if user_id:
            json.update({'user_id': user_id})
        elif profile:
            json.update({'profile': profile})
        elif right:
            json.update({'right': right})

        args = [notifications_url, json, client_id, secret]
        post_json.apply_async(args=args, queue='notifications')
