from random import SystemRandom
from string import ascii_lowercase, ascii_uppercase, digits, punctuation


def random_password(length=16):
    all_chars = ascii_lowercase + ascii_uppercase + digits + punctuation
    password = [SystemRandom().choice(all_chars) for _ in range(length - 4)]
    password.insert(SystemRandom().choice(range(len(password) + 1)), SystemRandom().choice(ascii_lowercase))
    password.insert(SystemRandom().choice(range(len(password) + 1)), SystemRandom().choice(ascii_uppercase))
    password.insert(SystemRandom().choice(range(len(password) + 1)), SystemRandom().choice(digits))
    password.insert(SystemRandom().choice(range(len(password) + 1)), SystemRandom().choice(punctuation))
    return ''.join(password)


def random_id(length=8, chars=ascii_lowercase + ascii_uppercase + digits):
    return ''.join(SystemRandom().choice(chars) for _ in range(length))


def random_id_32(*args, **kwargs):
    return random_id(32, *args, **kwargs)
