from setuptools import setup, find_packages

requires = [
    'arrow',
    'babel',
    'celery[redis]',
    'inflection',
    'filedepot',
    'oauthlib',
    'PyJWT',
    'pyramid',
    'pyramid_jinja2',
    'pyramid_tm',
    'requests[security]',
]

dist_requires = [
    'twine',
    'wheel',
]

qa_requires = [
    'flake8',
]


setup(
    name='parsys_utilities',
    version='2.6.0.22',
    description='Generic Python utilities used by Parsys Télémédecine',
    classifiers=[
        "Programming Language :: Python",
        "Topic :: Internet :: WWW/HTTP",
        "Topic :: Internet :: WWW/HTTP :: WSGI :: Application",
    ],
    author='Olivier Le Moign',
    author_email='olemoign@parsys.com',
    keywords='web',
    packages=find_packages(),
    install_requires=requires,
    extras_require={
        'dist': dist_requires,
        'qa': qa_requires,
    },
)
